aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-08-17 00:45:31 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-08-17 01:07:00 +0200
commit0407c8ea881278a0aec22913cd52b3973f89245d (patch)
tree535592dfd6a36803c07a7a52302239242ec14937
parent4b40f20ff75788d041b4a4e4be9ef98611c96f20 (diff)
downloadaports-0407c8ea881278a0aec22913cd52b3973f89245d.tar.gz
aports-0407c8ea881278a0aec22913cd52b3973f89245d.tar.bz2
aports-0407c8ea881278a0aec22913cd52b3973f89245d.tar.xz
community/redshift: move from testing/
Also improve abuild a bit.
-rw-r--r--community/redshift/APKBUILD (renamed from testing/redshift/APKBUILD)32
1 files changed, 9 insertions, 23 deletions
diff --git a/testing/redshift/APKBUILD b/community/redshift/APKBUILD
index e7c31df5e8..c8fbdf089c 100644
--- a/testing/redshift/APKBUILD
+++ b/community/redshift/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: 7heo <7heo@mail.com>
pkgname=redshift
pkgver=1.11
-pkgrel=0
+pkgrel=1
pkgdesc="Adjusts the color temperature of your screen according to your surroundings"
url="http://jonls.dk/redshift/"
arch="all"
@@ -15,21 +15,9 @@ replaces=""
subpackages="$pkgname-doc"
source="https://github.com/jonls/${pkgname}/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.xz"
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- cd "$_builddir"
-
- local i=
- for i in $source; do
- case "$i" in
- *.patch)
- patch -p1 -i "$srcdir"/$i || return 1 ;;
- esac
- done
-}
-
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -38,22 +26,20 @@ build() {
--enable-drm \
--enable-randr \
--enable-vidmode \
+ --disable-silent-rules \
+ --disable-nls \
|| return 1
make || return 1
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
- mkdir -p "$pkgdir"/usr/share/doc/$pkgname/examples
- install -m644 redshift.conf.sample \
+ install -Dm644 redshift.conf.sample \
"$pkgdir"/usr/share/doc/$pkgname/examples/redshift.conf || return 1
-
- local f=
- for f in ABOUT-NLS DESIGN HACKING NEWS README README-colorramp; do
- install -m644 $f "$pkgdir"/usr/share/doc/$pkgname/$f || return 1
- done
+ install -m644 ABOUT-NLS DESIGN HACKING NEWS README README-colorramp \
+ "$pkgdir"/usr/share/doc/$pkgname/ || return 1
}
md5sums="a31d768b0348c5202e58612855a9027e redshift-1.11.tar.xz"